Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie
Toon posts:

Verbinden met Samba share vanuit Ubuntu 20.04 onmogelijk

Pagina: 1
Acties:
  • 779 views

Vraag


  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
Mijn vraag
...
Nog een nieuw probleem ontdekt op mijn Ubuntu MATE 20.04 test-PC: verbinden met een Samba share vanuit de bestandsbeheerder (Caja) werkt niet :/ En ik kan ook niet ontdekken wat er mis is, de enige foutmelding is de oranje balk als ik probeer te verbinden:



Ik kan niet achterkomen wat het zogenaamde "lokale probleem" is :/


Relevante software en hardware die ik gebruik
...
Ubuntu MATE 20.04 LTS


Wat ik al gevonden of geprobeerd heb
...
Ik heb Caja geprobeerd te starten vanaf de commandoregel om te kijken of hij dan foutmeldingen laat zien, maar dat lukt niet... Caja geeft de commandoregel onmiddellijk vrij na het starten waardoor er geen meldingen verschijnen.

Onder Ubuntu 16.04 werkt het wel nog uitstekend.

Alle reacties


  • Evanescent
  • Registratie: september 2001
  • Niet online

Evanescent

Helemaal klaar voor de zomer!

En je kunt server1 wel pingen? Al eens met IP-adres geprobeerd?

I'm thankful for the Foo Fighters because I've never felt threatened by a foo
so that means they're doing a hell of a job on the frontlines!


  • Evanescent
  • Registratie: september 2001
  • Niet online

Evanescent

Helemaal klaar voor de zomer!

Je kunt het eens via de command line proberen:

$ caja smb://josefien:password@server1/sw_dist/


Zie ook: https://www.systutorials.com/docs/linux/man/1-caja/

[Voor 23% gewijzigd door Evanescent op 29-06-2020 00:25]

I'm thankful for the Foo Fighters because I've never felt threatened by a foo
so that means they're doing a hell of a job on the frontlines!


Acties:
  • +2Henk 'm!

  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

Mijn Linux is wat roestig maar met wat effectief (en gokwerk) zoeken: https://ubuntu-mate.commu...ndows-server-smb1/19713/5 of https://ubuntuforums.org/showthread.php?t=2441843

Volgens mij zit er een discrepantie tussen welke versie SMB je "standaard" denkt te praten in 16.04 en 20.04; je moet dus forceren om de oude versie te gebruiken wil je Caja normaal kunnen gebruiken.

Ben er geen voorstander van (als dat inderdaad de oplossing is); andersom zou dat betekenen dat de Windows-beheerder eigenlijk een tik op de vingers moet krijgen want in augustus trekt Microsoft echt de stekker uit SMBv1 support (moet even het artikel opsnorren) toch?

/edit: deze maand is er een weer een CVE vrijgegeven met "weer" vulnerabilities in SMBv1. Zelfs zo "erg" dat de security updates ook nog netjes voor Win7 en 2K8 (non-R2) zijn uitgebracht.

[Voor 16% gewijzigd door MAX3400 op 29-06-2020 00:49]

Mijn antwoorden zijn vaak niet snowflake-proof


  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
Oh wauw... ik had niet gedacht aan dat het een probleem in Samba zelf was, heb alleen naar Caja gezocht :o

Het is blijkbaar inderdaad dat SMBv1 is uitgeschakeld in 20.04 wat het probleem veroorzaakt. Nu "client min protocol = NT1" toegevoegd in /etc/samba/smb.conf onder "Global" en het werkt meteen weer :D


De server is trouwens een Debian 8.0 Samba server. Waarschijnlijk ondersteunt 'ie dan alleen SMBv1, geen idee. Maar goed, ga daar niet aan zitten, hij serveert als NT4-stijl DC nog 2 Windows XP cliënten die anders straks niet meer werken.

Acties:
  • +1Henk 'm!

  • Wim-Bart
  • Registratie: mei 2004
  • Laatst online: 04:42

Wim-Bart

Zie signature voor een baan.

SMBv1 is dus wat je niet moet gebruiken. Daarmee zet je dus alles gewoon open. Machine waar je verbinding maakt nog XP/2003 ?

Beheerders, Consultants, Servicedesk medewerkers. We zoeken het allemaal. Stuur mij een PM voor meer info of kijk hier De mooiste ICT'er van Nederland.


  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
SMBv1 moet aan blijven, is volgens mij het enige wat Windows XP ondersteunt. Er zijn 2 XP machines die ook met de server verbinden/het gebruiken als domeincontroller met zwervende profielen.

  • Borromini
  • Registratie: januari 2003
  • Niet online

Borromini

Mislukt misantroop

@Josefien Je weet dat Debian Jessie geen ondersteuning meer krijgt vanaf eind juni hé? Misschien nu je toch Ubuntu 20.04 aan het testen bent ineens het goede moment om te upgraden naar Debian 10 op je server.

Got Leenucks? | Debian Buster x86_64 / ARM | OpenWrt: Empower your router | Blogje


Acties:
  • +1Henk 'm!

  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

Josefien schreef op maandag 29 juni 2020 @ 10:18:
SMBv1 moet aan blijven, is volgens mij het enige wat Windows XP ondersteunt. Er zijn 2 XP machines die ook met de server verbinden/het gebruiken als domeincontroller met zwervende profielen.
Zonder de rest van je omgeving te kennen (en zeker het wel/niet hebben van connectivity naar buiten): doe dat vooral niet en migreer de bende zo snel mogelijk naar iets "ondersteunds".

Mijn antwoorden zijn vaak niet snowflake-proof


  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
Borromini schreef op maandag 29 juni 2020 @ 10:21:
@Josefien Je weet dat Debian Jessie geen ondersteuning meer krijgt vanaf eind juni hé? Misschien nu je toch Ubuntu 20.04 aan het testen bent ineens het goede moment om te upgraden naar Debian 10 op je server.
Aan de server wordt liever niks gedaan. Ik weet nog wat een ellende het was om van 6.0 naar 8.0 te upgraden, veel wat plots niet meer werkte en zo. Als het stuk gaat is meteen DHCP, DNS, LDAP, NFS en Samba weg. Zolang die hun functie blijven doen mis ik niks, ik hoef geen nieuwe functionaliteit van ze :)

Soms moet je niet aan iets gaan zitten wat prima werkt :)

Het enige waarom ik voor de cliënts 20.04 aan het testen ben is omdat alles nog 32-bit is nu en er 64-bit only dingen zijn die dan niet gebruikt kunnen worden. Maar ik moet nog maar zien of ik echt over kan naar 20.04, want mijn vertrouwde grafische EXIF-editor werkt er niet op en er is geen alternatief. Tot die tijd is de 16.04 toch wel het aangewezene.

Ik merk overigens echt dat nieuwer bijna altijd slechter is. Altijd weer bugs en ook bestaande dingen die plots niet meer (goed) werken. Ik heb nog nooit een upgrade gehad waarbij al het bestaande goed is blijven werken...

Home-directories op NFS is trouwens nog niet eens getest met 20.04... per nieuwere versie wordt dat slechter tot nu toe.
MAX3400 schreef op maandag 29 juni 2020 @ 10:21:
[...]

Zonder de rest van je omgeving te kennen (en zeker het wel/niet hebben van connectivity naar buiten): doe dat vooral niet en migreer de bende zo snel mogelijk naar iets "ondersteunds".
Niks migreren, het wordt alleen nog gebruikt voor wat legacy hardware en af en toe een e-mail-bijlage ophalen.

[Voor 3% gewijzigd door Josefien op 29-06-2020 12:32]


  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

Josefien schreef op maandag 29 juni 2020 @ 12:31:
[...]

...Aan de server wordt liever niks gedaan.
...Soms moet je niet aan iets gaan zitten wat prima werkt
...er is geen alternatief.
...is de 16.04 toch wel het aangewezene.
...nieuwer bijna altijd slechter is.
...nooit een upgrade gehad waarbij al het bestaande goed is blijven werken...
...af en toe een e-mail-bijlage ophalen.
16.04 MATE is al out of support; 16.04 LTS gaat rap uit support; XP is allang niet meer supported; security-technisch ligt je (ik hoop enkel interne) netwerk volledig "open" want niet meer gepatcht op kernel-niveau. En dan verbaasd zijn dat in 20.04 MATE er ineens SMB-patches zitten...

Mijn antwoorden zijn vaak niet snowflake-proof


  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
De Ubuntu MATE 16.04 krijgt volgens mij nog steeds updates. Alleen heb ik die een goede 2 maanden geleden uitgezet op mijn hoofd-PC omdat er toen een kernel werd geupdated die voor crashes zorgt van NFS: Ubuntu desktop blijft hangen door vastgelopen NFS-mount?

Sindsdien werkt 'ie probleemloos.

Al dat updaten en upgraden brengt zo vaak nieuwe problemen met zich mee...

[Voor 10% gewijzigd door Josefien op 29-06-2020 12:48]


Acties:
  • +1Henk 'm!

  • Punkbuster
  • Registratie: november 2008
  • Laatst online: 03-07 21:38
Soms moet je niet aan iets gaan zitten wat prima werkt :)
Dan loop je met navigatie software toch snel tegen problemen, terwijl de software wel werkt ;)

Nee maar zonder gein, security wise moet je gewoon upgrade

Intel Core i7 8700K | ASRock Z370M-ITX/ac | Corsair Vengeance LPX 3200Mhz | MSI GeForce GTX 1070 GAMING X 8G


  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

Josefien schreef op maandag 29 juni 2020 @ 12:46:
De Ubuntu MATE 16.04 krijgt volgens mij nog steeds updates.
https://ubuntu-mate.commu...reaches-end-of-life/19425

Dus nee, je krijgt niet (voldoende) updates...

Mijn antwoorden zijn vaak niet snowflake-proof


  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
Punkbuster schreef op maandag 29 juni 2020 @ 12:50:
[...]


Dan loop je met navigatie software toch snel tegen problemen, terwijl de software wel werkt ;)

Nee maar zonder gein, security wise moet je gewoon upgrade
Bij navigatie (voor Google Maps-tijd) werden alleen de kaarten geupdated, de functionele software bleef hetzelfde. Dat was i.i.g. bij die van Navigon die ik had zo. Alleen ging op een gegeven moment de serie met oude MN7-software uit de verkoop en moest ik per se aan de MN8 die me niet beviel. Ik heb toen de oude vertrouwde MN7-software op het nieuwere apparaat weten te zetten.

Security, updates en ondersteuning is nogal overrated, vind ik. Een jaar of 15 geleden was het nog leuk, toen maakte je bijv. nog een router of fileserver van een oude Pentium met een antieke Linux-distro. Tegenwoordig moet alles maar "ondersteunt zijn" en lijkt het wel een schande om eens geen updates te installeren :/
"but foundational components will continue to receive security updates from Ubuntu"

Het basis-systeem krijgt nog wel updates. Daar kwam dus die NFS-crashende kernel vandaan. Alleen het MATE-gedeelte krijg geen updates. Minder updates, gaat het ook minder stuk van :)

Acties:
  • +2Henk 'm!

  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

Josefien schreef op maandag 29 juni 2020 @ 13:02:
[...]
...Security, updates en ondersteuning is nogal overrated, vind ik.
...Tegenwoordig moet alles maar "ondersteunt zijn" en lijkt het wel een schande om eens geen updates te installeren :/
...Minder updates, gaat het ook minder stuk van :)
Ja, want vroeger hadden we bergen veel meer last van ransomware, phishing, internet, scriptkiddies en ander tuig?

In ieder geval; jouw standpunt is onverzettelijk; het mijne ook; en ze staan lijnrecht tegenover elkaar :)

Mijn antwoorden zijn vaak niet snowflake-proof


  • amx
  • Registratie: december 2007
  • Laatst online: 16:28
iis server met webdav? SMB is geen systeemvereiste ook niet bij Windows XP

https://webdav.io/webdav/...es/webdav-smb-comparison/

  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
amx schreef op maandag 29 juni 2020 @ 20:49:
iis server met webdav? SMB is geen systeemvereiste ook niet bij Windows XP

https://webdav.io/webdav/...es/webdav-smb-comparison/
Roaming profiles werkt voor zover ik weet alleen met SMB. Nooit gehoord of gezien dat het over Webdav kan gaat :?

Acties:
  • +1Henk 'm!

  • Evanescent
  • Registratie: september 2001
  • Niet online

Evanescent

Helemaal klaar voor de zomer!

Josefien schreef op maandag 29 juni 2020 @ 13:02:
[...] Security, updates en ondersteuning is nogal overrated, vind ik. [...]
Ik hoop echt zo dat dit allemaal hobby-spul is en niet voor een bedrijf of zo. :X

[Voor 53% gewijzigd door Evanescent op 30-06-2020 11:33]

I'm thankful for the Foo Fighters because I've never felt threatened by a foo
so that means they're doing a hell of a job on the frontlines!


  • Borromini
  • Registratie: januari 2003
  • Niet online

Borromini

Mislukt misantroop

amx schreef op maandag 29 juni 2020 @ 20:49:
iis server met webdav? SMB is geen systeemvereiste ook niet bij Windows XP

https://webdav.io/webdav/...es/webdav-smb-comparison/
Ze draait een oude Debian op de server, niet Windows (dus geen IIS).

[Voor 3% gewijzigd door Borromini op 30-06-2020 11:33]

Got Leenucks? | Debian Buster x86_64 / ARM | OpenWrt: Empower your router | Blogje


  • amx
  • Registratie: december 2007
  • Laatst online: 16:28
Borromini schreef op dinsdag 30 juni 2020 @ 11:32:
[...]

Ze draait een oude Debian op de server, niet Windows (dus geen IIS).
Als ik het goed lees, worden de mappen gedeeld vanuit Windows XP, daar kan IIS wel op geinstalleerd worden.

Geen idee waarom je een SMB share in een roaming profiel wil hebben als je een persistent share aanmaakt om hetzelfde effect te bereiken (weet niet welke andere snufjes je via SMB kan bereiken door het in een profiel in te stellen). Als het gaat om een homedrive te mappen <-- webdav file share kan hetzelfde (met de beperking dat beide clients niet tegelijkertijd naar dezelfde netwerkmap kunnen schrijven).

  • Borromini
  • Registratie: januari 2003
  • Niet online

Borromini

Mislukt misantroop

@amx
Josefien schreef op maandag 29 juni 2020 @ 10:18:
SMBv1 moet aan blijven, is volgens mij het enige wat Windows XP ondersteunt. Er zijn 2 XP machines die ook met de server verbinden/het gebruiken als domeincontroller met zwervende profielen.

Got Leenucks? | Debian Buster x86_64 / ARM | OpenWrt: Empower your router | Blogje


  • Vinzz
  • Registratie: november 2002
  • Laatst online: 16:14
Debian 8 Jessie krijgt via Freexian nog langer support dan vandaag: https://wiki.debian.org/LTS/Extended

  • bas-r
  • Registratie: april 2005
  • Laatst online: 20:11
MAX3400 schreef op maandag 29 juni 2020 @ 13:24:
[...]

Ja, want vroeger hadden we bergen veel meer last van ransomware, phishing, internet, scriptkiddies en ander tuig?

In ieder geval; jouw standpunt is onverzettelijk; het mijne ook; en ze staan lijnrecht tegenover elkaar :)
Jeetje @Josefien, de componenten in je netwerk zijn stuk voor stuk onveilige apparaten!
@MAX3400 heeft 100% gelijk dat het wachten is op een security incident.

Sterkte alvast daarmee.

  • Borromini
  • Registratie: januari 2003
  • Niet online

Borromini

Mislukt misantroop

Vinzz schreef op dinsdag 30 juni 2020 @ 15:57:
Debian 8 Jessie krijgt via Freexian nog langer support dan vandaag: https://wiki.debian.org/LTS/Extended
En daar staat ook het volgende bij:
The sponsors decide the scope of supported packages but updates and security fixes will be available for all Debian users without cost.

Got Leenucks? | Debian Buster x86_64 / ARM | OpenWrt: Empower your router | Blogje


  • FreshMaker
  • Registratie: december 2003
  • Niet online
bas-r schreef op dinsdag 30 juni 2020 @ 16:08:
[...]


Jeetje @Josefien, de componenten in je netwerk zijn stuk voor stuk onveilige apparaten!
@MAX3400 heeft 100% gelijk dat het wachten is op een security incident.

Sterkte alvast daarmee.
Als je de posthistorie van TS een beetje terugloopt, zal je zien dat het een hobby van haar is om op zo 'vintage' mogelijke apparatuur te spelen.

Heeft zijn charme's ;)
[...]Tegenwoordig moet alles maar "ondersteunt zijn" en lijkt het wel een schande om eens geen updates te installeren :/
Totdat je er ineens achterkomt dat je geen internet meer hebt, omdat één van die mooie machines in een botnetwerkje zit ...

[Voor 32% gewijzigd door FreshMaker op 30-06-2020 16:45]


  • Vinzz
  • Registratie: november 2002
  • Laatst online: 16:14
Borromini schreef op dinsdag 30 juni 2020 @ 16:20:
[...]

En daar staat ook het volgende bij:


[...]
Nee, is helemaal niks dan, overslaan, weg ermee. Of had je ook nog een argument?

Beste een leuk lijstje sponsors, Exonet, Nederlands. Maar ik denk dat ik je antwoord al wel weet.

https://www.freexian.com/services/debian-lts.html

[Voor 23% gewijzigd door Vinzz op 30-06-2020 17:04]


  • borft
  • Registratie: januari 2002
  • Laatst online: 16:59
tsja, als je jaren wacht met updates installeren, dan is het niet gek dat je upgrade pad stuk is..... van Linux naar Linux via smb (of eigenlijk cifs)... :facepalm:

Acties:
  • +1Henk 'm!

  • amx
  • Registratie: december 2007
  • Laatst online: 16:28
Borromini schreef op dinsdag 30 juni 2020 @ 15:52:
@amx
Josefien schreef op maandag 29 juni 2020 @ 10:18:
SMBv1 moet aan blijven, is volgens mij het enige wat Windows XP ondersteunt. Er zijn 2 XP machines die ook met de server verbinden/het gebruiken als domeincontroller met zwervende profielen.
Vooropgesteld, ik kan niet in het hoofd kijken van TS, maar is het per se wenselijk om voor 2 Windows XP clients profielmappen en homefolders te willen syncen als je met een gedeelde map via Webdav een veiliger alternatief hebt? Is het cruciaal dat het profiel 1 op 1 hetzelfde is? De Windows XP clients wordt alleen maar gebruikt voor legacy hardware en wat mailbijlagen openen (de zin waar bij het lezen er van iedere security officer van zijn stoel van is gevallen :+ )

Wat heb je er aan?

  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
Voor het gemak, op beide machines dezelfde instellingen en zo.

De Ubuntu cliënten hebben ook homes op NFS en LDAP login om hetzelfde te bereiken, terwijl het maar 2-3 machines zijn. Het waren er overigens ooit meer geweest, totdat IT op zich geen hobby keer was door die update/security drang.

Ik ben op zich geen update-hater of zo. Maar ik ben in een half jaar tijd of zo al 2 serieuze issues tegengekomen op Ubuntu door automatische updates. Namelijk die crashes na een kernel-update bij 16.04. En mijn mediacenter met 18.04 had van de een op de andere dag alleen 640x480 beeld omdat door een kernel-update de videodriver was verziekt. Sinds hij opgelapt is met de opensource driver sluit 'ie niet meer goed af.

En dan, bij elke upgrade is zijn er weer dingen die niet werken, of het nou hardware of software is. Op een gegeven moment ben ik het zat. Ik eis maar 1 ding en dat is dat iets blijft werken zoals het is zodat ik dezelfde taken ermee kan doen. Zonder eens in de zoveel tijd weer dingen opnieuw te moeten aanpassen/uitzoeken/geld in te steken.

  • Borromini
  • Registratie: januari 2003
  • Niet online

Borromini

Mislukt misantroop

Tijd voor een BSD-desktop dan. Die dingen gaan wat minder snel dan in Linux-land ;).

Wat je eigenlijk wil op dit moment is dat iemand anders de problemen die jij grotendeels creëert (door vast te blijven hangen aan verouderde software) oplost.

Als je geen tijd wil spenderen aan updates en onderhoud, dan dien je naar een Mac te kijken. Die kosten geld. Het tempo van updates bij Windows 10 is ondertussen ook wat gezakt, dus normaal gezien kan je ook daar wel es wat tegenkomen. Hoe ouder of zeldzamer je hardware, hoe meer kans daartoe bestaat. Een ideale oplossing is er niet; zeker als je er geen geld tegenaan wil gooien.

Ubuntu zou trouwens ook gewoon alleen beveiligingsupdates moeten toelaten. Ik meende dat je dat zelfs ergens in de GUI kon aanvinken, dat je alleen die updates wil.

Got Leenucks? | Debian Buster x86_64 / ARM | OpenWrt: Empower your router | Blogje


  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

@Josefien even hardop denkend hoor; zeker omdat jouw topic nu wat negatief lijkt te gaan klinken door alle (valide) adviezen over wel/niet upgraden.

Op zich bespaar je nu best tijd & geld door relatief lang zaken in leven te houden die, in jouw omgeving, niet aan vervanging / upgrades toe zijn. Top, dat is efficient TCO toepassen op ICT. Tegelijkertijd, en allicht een optie; waarom niet (een gedeelte van) jouw omgeving virtualiseren waar je dan een soort test-lab van maakt voor rolling upgrades en andere zaken waar je al enige tijd niet tevreden over bent?

Zijdelings, maar ik ben wat roestig met APT binnen Linux; je kan toch ook een offline repo aanleggen van de packages die je hebt geupgrade / vervangen en dus ook zelf rollbacks / rollups / dependencies creeeren om "wel" een veilige omgeving te houden maar "wel" in jouw tempo "zonder" security een ondergeschoven kindje te maken?

Mijn antwoorden zijn vaak niet snowflake-proof


  • Josefien
  • Registratie: juni 2006
  • Laatst online: 15:50
Borromini schreef op dinsdag 30 juni 2020 @ 23:05:
Tijd voor een BSD-desktop dan. Die dingen gaan wat minder snel dan in Linux-land ;).

Wat je eigenlijk wil op dit moment is dat iemand anders de problemen die jij grotendeels creëert (door vast te blijven hangen aan verouderde software) oplost.

Als je geen tijd wil spenderen aan updates en onderhoud, dan dien je naar een Mac te kijken. Die kosten geld. Het tempo van updates bij Windows 10 is ondertussen ook wat gezakt, dus normaal gezien kan je ook daar wel es wat tegenkomen. Hoe ouder of zeldzamer je hardware, hoe meer kans daartoe bestaat. Een ideale oplossing is er niet; zeker als je er geen geld tegenaan wil gooien.

Ubuntu zou trouwens ook gewoon alleen beveiligingsupdates moeten toelaten. Ik meende dat je dat zelfs ergens in de GUI kon aanvinken, dat je alleen die updates wil.
Ik creëer niks aan problemen. Als ik niet gedwongen werd om bijv. een nieuwere browser te gebruiken die ik niet kan installeren op een oudere besturingssysteem om het nieuws te kunnen blijven lezen, volwaardig mijn Gmail te kunnen blijven gebruiken en Youtube kan blijven kijken zat ik nu nog probleemloos op mijn Core2Duo met Windows XP. Het probleem is dat mijn apparaten steeds minder kunnen uit zichzelf, zonder dat ik daar wat aan heb gedaan :/ Ik word op die manier gedwongen te upgraden met alle nadelige gevolgen van dien: traagheid, bugs, dingen die niet meer werken terwijl ze het daarvoor wel deden.

Windows heeft vanaf Vista de irritante neiging om bij een volgende reboot de updates nog te gaan afronden en rebooten. Dat kan zomaar de volgende dag zijn waarbij je alleen even je mail wil checken voor je de deur uit gaat. Bloedirritant :( Dus dit valt af.

Ubuntu heeft bij elke upgrade weer bugs. En het vervelende: deze worden best wel eens nooit meer gefixt. Bijv.:
PCSX in Ubuntu 18.04 werkt niet met 2 gamepads aangesloten
Ubuntu MATE 20.04 heeft geen menu-iconen

Oh, Chromium met VA-API acceleratie kan ik ook vergeten in 20.04, vooral met nVdia GPU's.

En dan nog dingen die echt niet meer werken zoals pyExifToolGUI werkt niet onder Ubuntu 20.04.

En ook dingen die uren kosten om met een omweg aan de praat te krijgen.

Maar hé, ik moet op een gegeven moment af van 16.04, want die is nog 32-bit en omzetten naar 64 zonder herinstallatie (en dus alles opnieuw configureren) gaat niet. Met 32-bit mag ik geen Google Chrome installeren en geen Dolphin-emulator gebruiken die vroeger wel 32-bit waren. Dus is het beter om meteen naar 20.04 te gaan, zodat ik voor "langere" tijd niks meer aan hoeft te doen. Maar dan moet ik dus wel al mijn bestaande dingen kunnen blijven doen, wat nu niet kan.
MAX3400 schreef op dinsdag 30 juni 2020 @ 23:10:
@Josefien even hardop denkend hoor; zeker omdat jouw topic nu wat negatief lijkt te gaan klinken door alle (valide) adviezen over wel/niet upgraden.

Op zich bespaar je nu best tijd & geld door relatief lang zaken in leven te houden die, in jouw omgeving, niet aan vervanging / upgrades toe zijn. Top, dat is efficient TCO toepassen op ICT. Tegelijkertijd, en allicht een optie; waarom niet (een gedeelte van) jouw omgeving virtualiseren waar je dan een soort test-lab van maakt voor rolling upgrades en andere zaken waar je al enige tijd niet tevreden over bent?

Zijdelings, maar ik ben wat roestig met APT binnen Linux; je kan toch ook een offline repo aanleggen van de packages die je hebt geupgrade / vervangen en dus ook zelf rollbacks / rollups / dependencies creeeren om "wel" een veilige omgeving te houden maar "wel" in jouw tempo "zonder" security een ondergeschoven kindje te maken?
Ik ken emulatie alleen van Virtualbox. Maar dat werkt vanaf 20.04 dus niet meer op mijn systeem zonder VTx ondersteuning in het BIOS... VTx is verplicht in de nieuwere versies... ook met 32-bit guests...

Met Virtualbox kan je veel bugs bij updates ook niet opmerken omdat ze alleen met bijv. een bepaalde generatie nVidia-kaarten voordoet of alleen bij een specifiek moederbord. En sommige dingen merk je pas dat ze stuk zijn als je ze gebruikt, ook de dingen die je dus bijv. maar 4x per jaar gebruikt...

  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

Josefien schreef op woensdag 1 juli 2020 @ 13:17:
[...]

Ik creëer niks aan problemen.
...
Het probleem is dat mijn apparaten steeds minder kunnen uit zichzelf, zonder dat ik daar wat aan heb gedaan ...

die niet meer werken terwijl ze het daarvoor wel deden.
Ja, apparaten zitten jou dwars. Die zijn er zo klaar mee dat ze zelfstandig "minder snel" gaan werken en de enige manier dat ze weten dat het beter gaat, is jouw de arm omdraaien om dan maar upgrades te installeren (software en/of hardware)?
Windows heeft vanaf Vista de irritante neiging om bij een volgende reboot de updates nog te gaan afronden en rebooten. Dat kan zomaar de volgende dag zijn waarbij je alleen even je mail wil checken voor je de deur uit gaat. Bloedirritant :( Dus dit valt af.
Wat minstens zo stom is: dat Linux. Kijk ik net op 1 van mijn servers (gewoon Ubuntu Server LTS) en wat zie ik
code:
1
2
3
4
5
10 packages can be updated.
0 updates are security updates.


*** System restart required ***

Ja, had ik dat geweten, had ik net goed Windows Server geinstalleerd; in beide gevallen moet je wel eens rebooten. Bloedirritant inderdaad?
Ik ken emulatie alleen van Virtualbox. Maar dat werkt vanaf 20.04 dus niet meer op mijn systeem
Dat box / out of the box denken; ik had het er meer over dat je met alle bespaarde middelen (want dat is echt wel redelijk geld, als ik zo lees wat je dat afgelopen jaren niet hebt hoeven / willen vervangen), ook best een "nieuw machientje" kan neerzetten. En dan daar een industrie-standaard hypervisor type-1 (en niet zo'n halfgare type2 zoals Virtualbox). En dat als lab-omgeving voor (het gros van) komende software-updates.

Mijn antwoorden zijn vaak niet snowflake-proof


  • GuntherDW
  • Registratie: november 2004
  • Laatst online: 10:18
Josefien schreef op woensdag 1 juli 2020 @ 13:17:
[...]


Oh, Chromium met VA-API acceleratie kan ik ook vergeten in 20.04, vooral met nVdia GPU's.
Daar is je probleem :+

Browsers als Firefox ondersteunen gewoon VA-API, maar dan in Wayland.

nvidia drivers in Linux zijn al jarenlang een achillespees van de Linux wereld. Daar waar je met AMD (of zelfs de intel iGPU) drivers gezien die grotendeels gewoon in de kernel & MESA zitten zonder zorgen kan werken,
werkt nvidia door hun binary blob (en hun eigen "variant" van MESA) vaak alles tegen.

Zeker gezien alles nu richting wayland aan het gaan is. Dan is het met nvidia ook snel gedaan.
Long story short: Als je serieus Linux wil draaien als desktop kan je best geen nvidia kaart hebben.


Maargoed, wat meer offtopic maar jij zit al jarenlang tegen de schenen te schoppen van iedereen over hoe jij het wel beter weet e.d. met oude software te blijven draaien.
Allemaal goed en wel, maar het feit dat die geen support meer krijgen is vrij bikkelhard en dan moet je ook niet echt ergens anders gaan "zoeken" voor die support.
Nu nog SMBv1 draaien (laat staan XP machines)... Ik blijf het maar zeggen maar ik hoop serieus voor je dat die zaken niet bereikbaar zijn van het internet.

Heel die zooi als hobby in een soort lab draaien is nog te doen, maar van zodra er iemand in je netwerk zit heeft die een hele playground voor zich...

Dat mensen na 20 jaar geen support meer willen geven voor een floppy drive of een 486 kan je toch vrij normaal noemen.
Wie buiten "voor de lol even kijken of het nog werkt" gaat serieus een up to date kernel willen draaien op z'n 486.
Daarbuiten gelaten hoe lang het builden zou duren of de storage ruimte ervoor heeft...

[Voor 9% gewijzigd door GuntherDW op 01-07-2020 13:35. Reden: typo's e.d.]


  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 16:20

MAX3400

XBL: OctagonQontrol

GuntherDW schreef op woensdag 1 juli 2020 @ 13:33:
[...]

...maar van zodra er iemand in je netwerk zit heeft die een hele playground voor zich...
Mail lezen op Vista... O-)

Mijn antwoorden zijn vaak niet snowflake-proof


  • Evanescent
  • Registratie: september 2001
  • Niet online

Evanescent

Helemaal klaar voor de zomer!

@Josefien Jouw probleem is juist dat je niet update.

Als je gewoon regelmatig (en dan bedoel ik vaker dan 1x per 4 jaar ;)) de updates installeert, gaat de volgende upgrade veel soepeler dan als je steeds enorme upgrades probeert uit te voeren, wanneer het eigenlijk al te laat is. Daar is software gewoon niet op gebouwd.

Als je al zo nodig zulke grote (unsupported) stappen wilt maken, moet je gewoon je systeem opnieuw installeren op het moment van de upgrade.

I'm thankful for the Foo Fighters because I've never felt threatened by a foo
so that means they're doing a hell of a job on the frontlines!


  • hmmmmmmmmmpffff
  • Registratie: september 2009
  • Nu online
Maar, heel het probleem van TS is al lang opgelost, toch? De hele discussie dat TS onveilig bezig is, snapt TS nu hopelijk ook wel.

Dat je desondanks toch op zo'n manier wil werken is de keuze van TS. Nu maar hopen dat niet iemand straks opeens SYSTEM (of root) rechten heeft op de computers in het netwerk.

  • GuntherDW
  • Registratie: november 2004
  • Laatst online: 10:18
@hmmmmmmmmmpffff Het probleem is dat we haar keer op keer erop moeten wijzen, tot in des treurens toe, al jaren lang hoe onveilig ze wel niet bezig is.

Ze is een beetje van het principe "het werkt voor mij, dus daar stopt het".
Maar dat iemand met 2 seconden werk (of nog nieteens) in je systeem even root rechten kan krijgen krijg je er niet in...

Als ze een keertje vergeet de firewall deftig in te stellen (of een exploitje in de clients die ze gebruikt, zoals browser op XP of mail op vista... |:( ) is het in 1 ruk allemaal over denk ik.

Zo ken ik er nog wel spijtig genoeg eigenlijk. "Ik draai noscript in firefox dus ze geraken niet binnen bij me, XP is niet zo onveilig als je denkt hoor!!11 ik weet wat ik doe!" ...
Nuja het is niet mijn netwerk dusjah, je doet wat je niet laten kunt.

[Voor 27% gewijzigd door GuntherDW op 01-07-2020 13:50]


  • hmmmmmmmmmpffff
  • Registratie: september 2009
  • Nu online
GuntherDW schreef op woensdag 1 juli 2020 @ 13:48:
@hmmmmmmmmmpffff Het probleem is dat we haar keer op keer erop moeten wijzen, tot in des treurens toe, al jaren lang hoe onveilig ze wel niet bezig is.

Ze is een beetje van het principe "het werkt voor mij, dus daar stopt het".
Maar dat iemand met 2 seconden werk (of nog nieteens) in je systeem even root rechten kan krijgen krijg je er niet in...

Als ze een keertje vergeet de firewall deftig in te stellen is het in 1 ruk allemaal over denk ik.
Ik denk dat de adviezen weinig zin hebben. Wellicht gaat het een langere tijd nog goed zo. Als er een keer een dikke hack komt, zal TS wellicht nog eens van gedachten veranderen. Moet TS zelf weten toch?

Hoop wel dat er inderdaad geen klantdata mee gemoeid gaat, maar iets zegt mij dat daar geen sprake van is.

  • GuntherDW
  • Registratie: november 2004
  • Laatst online: 10:18
@hmmmmmmmmmpffff
Dat is het net, ze verandert niet van gedachte, ze heeft al een keertje een ransomware over d'r heen gehad en er hier over gepost over hoe dat op te lossen... (want backups toch he?)

Diverse bestanden zijn veranderd in onwerkbare MP3'tjes :-(

  • hmmmmmmmmmpffff
  • Registratie: september 2009
  • Nu online
GuntherDW schreef op woensdag 1 juli 2020 @ 13:56:
@hmmmmmmmmmpffff
Dat is het net, ze verandert niet van gedachte, ze heeft al een keertje een ransomware over d'r heen gehad en er hier over gepost over hoe dat op te lossen... (want backups toch he?)

Diverse bestanden zijn veranderd in onwerkbare MP3'tjes :-(
Wat wel opmerkelijk is eigenlijk. Er wordt aangegeven dat updates etc. geld en tijd kosten, maar dit soort problemen kosten waarschijnlijk een stuk meer tijd en geld.

Maar goed, ik heb weinig toe te voegen verder. TS moet het maar lekker zelf uitzoeken, bot gezegd.

  • Cyphax
  • Registratie: november 2000
  • Laatst online: 20:46

Cyphax

Moderator NOS
Dit is niet de richting die we een topic het liefst op zien gaan.

@Josefien denk goed na over de strategie van software en de ouderdom ervan; uiteindelijk sluiten nieuwe versies van operating systems out-of-the-box vrij goed aan bij je behoeften; het is niet perfect allemaal, maar weeg dat af tegen de risico's en de praktische ongemakken die je nu ervaart, en die met de tijd alleen maar erger worden.

De oorspronkelijke vraag is nu wel beantwoord en om te voorkomen dat de sfeer te negatief wordt sluit ik het topic. Wees vooral vrij om hulp te vragen bij een goede aanpak wanneer je besluit je software te updaten.

Saved by the buoyancy of citrus

Pagina: 1

Dit topic is gesloten.



Apple iPhone SE (2020) Microsoft Xbox Series X LG CX Google Pixel 4a CES 2020 Samsung Galaxy S20 4G Sony PlayStation 5 Nintendo Switch Lite

'14 '15 '16 '17 2018

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2020 Hosting door True